Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Java] Class DependOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.compile.DependOptions

    public class DependOptions
    extends AbstractOptions

Options for the Ant Depend task. Only take effect if `CompileOptions.useAnt` and `CompileOptions.useDepend` are `true`.

The Ant Depend task will delete out-of-date and dependent class files before compiling so that only those files will be recompiled. This is not fool-proof but may result in faster compilation. See the Ant Reference for more information.

The `srcDir`, `destDir`, and `cache` properties of the Ant task are set automatically. The latter is replaced by a `useCache` option to enable/disable caching of dependency information.

Authors:
  Steve Appling

Method Summary
`protected List` | `excludedFieldsFromOptionMap()` Internal method.
`String` | `getClasspath()` Returns the compile classpath for which dependencies should also be checked.
`boolean` | `isClosure()` Tells whether to delete the transitive closure of outdated files or only their direct dependencies.
`boolean` | `isDump()` Tells whether to log dependency information.
`boolean` | `isUseCache()` Tells whether to cache dependency information.
`boolean` | `isWarnOnRmiStubs()` Tells whether to warn on RMI stubs without source.
`void` | `setClasspath(String classpath)` Sets the compile classpath for which dependencies should also be checked.
`void` | `setClosure(boolean closure)` Sets whether to delete the transitive closure of outdated files or only their direct dependencies.
`void` | `setDump(boolean dump)` Sets whether to log dependency information.
`void` | `setUseCache(boolean useCache)` Sets whether to cache dependency information.
`void` | `setWarnOnRmiStubs(boolean warnOnRmiStubs)` Sets whether to warn on RMI stubs without source.

Methods inherited from class AbstractOptions
define, excludedFieldsFromOptionMap, fieldName2AntMap, fieldValue2AntMap, optionMap

Method Detail

### excludedFieldsFromOptionMap

    protected List excludedFieldsFromOptionMap()

  Internal method.

### getClasspath

    public String getClasspath()

  Returns the compile classpath for which dependencies should also be checked. Defaults to the empty string.

### isClosure

    public boolean isClosure()

  Tells whether to delete the transitive closure of outdated files or only their direct dependencies. Defaults to `false`.

### isDump

    public boolean isDump()

  Tells whether to log dependency information. Defaults to `false`.

### isUseCache

    public boolean isUseCache()

  Tells whether to cache dependency information. Defaults to `true`.

### isWarnOnRmiStubs

    public boolean isWarnOnRmiStubs()

  Tells whether to warn on RMI stubs without source. Defaults to `true`.

### setClasspath

    public void setClasspath(String classpath)

  Sets the compile classpath for which dependencies should also be checked. Defaults to the empty string.

### setClosure

    public void setClosure(boolean closure)

  Sets whether to delete the transitive closure of outdated files or only their direct dependencies. Defaults to `false`.

### setDump

    public void setDump(boolean dump)

  Sets whether to log dependency information. Defaults to `false`.

### setUseCache

    public void setUseCache(boolean useCache)

  Sets whether to cache dependency information. Defaults to `true`.

### setWarnOnRmiStubs

    public void setWarnOnRmiStubs(boolean warnOnRmiStubs)

  Sets whether to warn on RMI stubs without source. Defaults to `true`.

Gradle API 1.1-rc-1